<?php
declare(strict_types=1);

namespace App\Infrastructure\GeoIp;

final readonly class Country
{
    public function __construct(
        public string $code,
        public string $nameEn,
        public string $nameDe,
        public string $nameNative,
        public string $updatedAt
    ) {
    }

    public function toArray(): array
    {
        return [
            'code' => $this->code,
            'name_en' => $this->nameEn,
            'name_de' => $this->nameDe,
            'name_native' => $this->nameNative,
            'updated_at' => $this->updatedAt
        ];
    }
}
